#!/usr/bin/env python

"""
Copyright (c) 2006-2019 sqlmap developers (http://sqlmap.org/)
See the file 'LICENSE' for copying permission
"""

from lib.core.settings import WAF_ATTACK_VECTORS

__product__ = "StackPath Web Application Firewall (StackPath LLC)"

def detect(get_page):
    retval = False

    for vector in WAF_ATTACK_VECTORS:
        page, _, _ = get_page(get=vector)
        retval = all(_ in (page or "") for _ in ("You performed an action that triggered the service and blocked your request",))
        if retval:
            break

    return retval
